Imports Core

Public Class frmPromote

    Private ProperClosed As Boolean

    Private Sub frmPromote_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        If ProperClosed = False Then
            e.Cancel = True
        End If
    End Sub

    Private Sub frmPromote_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Label1.Text = SurvivorLevels.Level1 & " hours"
        Label2.Text = SurvivorLevels.Level2 & " hours"
        Label3.Text = SurvivorLevels.Level3 & " hours"

        lbl_Who.Text = SurvivorToPromote.Name & " has managed to survive for " & SurvivorToPromote.Experience & _
        " hours."

        Dim Control As Control
        For Each Control In Me.Controls
            Select Case SurvivorToPromote.Experience
                Case SurvivorLevels.Level1
                    If Control.Tag = 1 Then Control.Enabled = True
                Case SurvivorLevels.Level2
                    If Control.Tag = 2 Then Control.Enabled = True
                Case SurvivorLevels.Level3
                    If Control.Tag = 3 Then Control.Enabled = True
            End Select
        Next
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        SurvivorToPromote.Promo_Grizzled = True
        ProperClosed = True
        Me.Dispose()
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        SurvivorToPromote.Promo_SharpEye = True
        ProperClosed = True
        Me.Dispose()

    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        SurvivorToPromote.Promo_SteadyHand = True
        ProperClosed = True
        Me.Dispose()

    End Sub

    Private Sub Button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button5.Click
        SurvivorToPromote.Promo_Conserve = True
        ProperClosed = True
        Me.Dispose()

    End Sub

    Private Sub Button7_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button7.Click
        SurvivorToPromote.Promo_Lucky = True
        ProperClosed = True
        Me.Dispose()

    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        SurvivorToPromote.Promo_Home = True
        ProperClosed = True
        Me.Dispose()
    End Sub
End Class