Imports Core

Public Class frmRaid

    Private Priority As Integer = 1

    Private Sub btn_Accept_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_Accept.Click
        Me.Dispose()
    End Sub

    Private Sub frmRaid_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        cb_RaidHour.Checked = RaidEveryHour
        If Survivors.Count = 0 Then
            cb_RaidHour.Enabled = False
            cb_RaidHour.Checked = False
        End If
        Priority = 1
    End Sub

    Private Sub cb_RaidHour_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cb_RaidHour.CheckedChanged
        RaidEveryHour = cb_RaidHour.Checked
        btn_Accept.Enabled = Not (cb_RaidHour.Checked)
        For Each control As Control In Me.Controls
            If control.Tag = "btn" Then
                control.Enabled = cb_RaidHour.Checked
            End If
        Next
    End Sub

    Private Sub btn_Survivors_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_Survivors.Click
        sender.text = "[" & Priority & "] " & sender.text
        RaidPriority_Survivors = Priority
        Priority += 1
        sender.Enabled = False
    End Sub

    Private Sub btn_Weapons_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_Weapons.Click
        sender.text = "[" & Priority & "] " & sender.text
        RaidPriority_Weapons = Priority
        Priority += 1
        sender.Enabled = False
    End Sub

    Private Sub btn_AmmoWater_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_Ammo.Click
        sender.text = "[" & Priority & "] " & sender.text
        RaidPriority_AmmoSupplies = Priority
        Priority += 1
        sender.Enabled = False
    End Sub

    Private Sub btn_MedicineSupplies_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_Water.Click
        sender.text = "[" & Priority & "] " & sender.text
        RaidPriority_MedicineWater = Priority
        Priority += 1
        sender.Enabled = False
    End Sub

    Private Sub ButtonCheck_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonCheck.Tick
        Dim i As Integer = 0, control As Control
        For Each control In Me.Controls
            If control.Tag = "btn" And control.Enabled = False Then i += 1
            If i = 3 Then
                btn_Accept.Enabled = True
                Exit For
            End If
        Next
    End Sub

    Private Sub btn_Reset_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_Reset.Click
        btn_Accept.Enabled = False
        Priority = 1

        Dim control As Control
        For Each control In Me.Controls
            If control.Tag = "btn" Then
                control.Enabled = True
                If control.Text.Contains("[") Then control.Text = control.Text.Substring(4)
            End If
        Next

    End Sub

    Private Sub cb_RaidHour_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles cb_RaidHour.Click
        If cb_RaidHour.Enabled = False Then
            MsgBox("You must assign people to patrol before this can be activated.")
        End If
    End Sub

End Class