Imports Core

Public Class frmWinLose

    Private Score As Integer

    Private Sub frmWinLose_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        If GameWin Then
            Me.Text = "The survivors have escaped the town."
            tb_Story.Text = "Odds be damned, people have survived. Against an onslaught of vicious, flesh-eating dead, there are those alive " & _
            "to tell the story. Of course, can they adjust to a normal life after the horrors they've experienced? At least they will have the chance."
            Score = 250
            lbl_WinBonus.Text = "Win bonus: " & Score
        ElseIf GameLose Then
            Me.Text = "The survivors have perished."
            tb_Story.Text = "Despite fighting bravely against their lifeless opponents, the survivors have succumbed. A quiet settles on the " & _
            "small town and, as night begins to fill the sky, all that can be heard are the moans of the walking dead."
            SurvivorsLost += GetTotalSurvivors()
        End If

        Score += CalculateScore()

        If GameWin Then
            lbl_SurvivorsRescued.Text = "Survivors rescued: " & GetTotalSurvivors()
        ElseIf GameLose Then
            lbl_SurvivorsRescued.Text = "Survivors rescued: 0"
        End If
        lbl_BuildingsHeld.Text = "Buildings held: " & GetBuildingsHeld() & " / 6"
        lbl_SurvivorHours.Text = "Combined survivor hours: " & GetSurvivorHours()
        lbl_ZombiesKilled.Text = "Zombies killed: " & ZombiesKilled

        lbl_SurvivorsLost.Text = "Survivors lost: " & SurvivorsLost
        lbl_Turned.Text = "Survivors turned: " & SurvivorsTurned
        lbl_SurvivorsInfected.Text = "Survivors infected: " & GetSurvivorsInfected()


        lbl_Score.Text = "Score: " & Score
    End Sub

    Private Sub btn_Quit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_Quit.Click
        Me.Dispose()
    End Sub

    Private Sub btn_NewGame_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_NewGame.Click
        DoNewGame = True
        Me.Dispose()

    End Sub

    Private Sub tb_Story_GotFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles tb_Story.GotFocus
        btn_NewGame.Focus()
    End Sub

End Class